{
	"format_version": "1.10.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "cc_fairytales:syren",
			"materials": {
				"default": "entity_alphatest"
			},
			"textures": {
				"rosada": "textures/chillcraft/fairytales/entity/syren/syren_rosa",
				"azul": "textures/chillcraft/fairytales/entity/syren/syren_azul",
				"amarilla": "textures/chillcraft/fairytales/entity/syren/syren_amarilla",
				"morada": "textures/chillcraft/fairytales/entity/syren/syren_morada"
			},
			"geometry": {
				"default": "geometry.cc_fairytales.syren"
			},
			"animations": {
				"swimming": "animation.cc_fairytales.syren.swimming",
				"idle": "animation.cc_fairytales.syren.idle",
				"ground": "animation.cc_fairytales.syren.ground",
				"attack": "animation.cc_fairytales.syren.attack",
				"movimiento": "controller.animation.cc_fairytales.syren.movement",
				"attack_controller": "controller.animation.cc_fairytales.syren.attack"
			},
			"scripts": {
				"animate": [
					"movimiento",
					"attack_controller"
				]
			},

			"render_controllers": ["controller.render.cc_fairytales.syren"],
			"spawn_egg": {
				"base_color": "#54d7ff",
				"overlay_color": "#ffe500"
			}
		}
	}
}